Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.owasp.dependencycheck.jaxb.pom.generated
Class CiManagement

    java.lang.Object
      org.owasp.dependencycheck.jaxb.pom.generated.CiManagement

    @Generated(value="com.sun.tools.internal.xjc.Driver",
               date="2012-11-09T12:33:57-05:00",
               comments="JAXB RI vJAXB 2.1.10 in JDK 6")
    public class CiManagement

extends Object

4.0.0

Java class for CiManagement complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="CiManagement">
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <all>
             <element name="system" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
             <element name="url" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
             <element name="notifiers" minOccurs="0">
               <complexType>
                 <complexContent>
                   <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
                     <sequence>
                       <element name="notifier" type="{http://maven.apache.org/POM/4.0.0}Notifier" maxOccurs="unbounded" minOccurs="0"/>
                     </sequence>
                   </restriction>
                 </complexContent>
               </complexType>
             </element>
           </all>
         </restriction>
       </complexContent>
     </complexType>

Nested Class Summary
`static class` | `CiManagement.Notifiers` Java class for anonymous complex type.

Field Summary
`protected CiManagement.Notifiers` | `notifiers`
`protected String` | `system`
`protected String` | `url`

Constructor Summary
`CiManagement()`

Method Summary
`CiManagement.Notifiers` | `getNotifiers()` Gets the value of the notifiers property.
`String` | `getSystem()` Gets the value of the system property.
`String` | `getUrl()` Gets the value of the url property.
`void` | `setNotifiers(CiManagement.Notifiers value)` Sets the value of the notifiers property.
`void` | `setSystem(String value)` Sets the value of the system property.
`void` | `setUrl(String value)` Sets the value of the url property.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### system

    @Generated(value="com.sun.tools.internal.xjc.Driver",
               date="2012-11-09T12:33:57-05:00",
               comments="JAXB RI vJAXB 2.1.10 in JDK 6")
    protected String system

### url

    @Generated(value="com.sun.tools.internal.xjc.Driver",
               date="2012-11-09T12:33:57-05:00",
               comments="JAXB RI vJAXB 2.1.10 in JDK 6")
    protected String url

### notifiers

    @Generated(value="com.sun.tools.internal.xjc.Driver",
               date="2012-11-09T12:33:57-05:00",
               comments="JAXB RI vJAXB 2.1.10 in JDK 6")
    protected CiManagement.Notifiers notifiers

Constructor Detail

### CiManagement

    public CiManagement()

Method Detail

### getSystem

    @Generated(value="com.sun.tools.internal.xjc.Driver",
               date="2012-11-09T12:33:57-05:00",
               comments="JAXB RI vJAXB 2.1.10 in JDK 6")
    public String getSystem()

  Gets the value of the system property.

  Returns:
    possible object is `String`

### setSystem

    @Generated(value="com.sun.tools.internal.xjc.Driver",
               date="2012-11-09T12:33:57-05:00",
               comments="JAXB RI vJAXB 2.1.10 in JDK 6")
    public void setSystem(String value)

  Sets the value of the system property.

  Parameters:
    `value` - allowed object is `String`

### getUrl

    @Generated(value="com.sun.tools.internal.xjc.Driver",
               date="2012-11-09T12:33:57-05:00",
               comments="JAXB RI vJAXB 2.1.10 in JDK 6")
    public String getUrl()

  Gets the value of the url property.

  Returns:
    possible object is `String`

### setUrl

    @Generated(value="com.sun.tools.internal.xjc.Driver",
               date="2012-11-09T12:33:57-05:00",
               comments="JAXB RI vJAXB 2.1.10 in JDK 6")
    public void setUrl(String value)

  Sets the value of the url property.

  Parameters:
    `value` - allowed object is `String`

### getNotifiers

    @Generated(value="com.sun.tools.internal.xjc.Driver",
               date="2012-11-09T12:33:57-05:00",
               comments="JAXB RI vJAXB 2.1.10 in JDK 6")
    public CiManagement.Notifiers getNotifiers()

  Gets the value of the notifiers property.

  Returns:
    possible object is `CiManagement.Notifiers`

### setNotifiers

    @Generated(value="com.sun.tools.internal.xjc.Driver",
               date="2012-11-09T12:33:57-05:00",
               comments="JAXB RI vJAXB 2.1.10 in JDK 6")
    public void setNotifiers(CiManagement.Notifiers value)

  Sets the value of the notifiers property.

  Parameters:
    `value` - allowed object is `CiManagement.Notifiers`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2012-2013 OWASP. All Rights Reserved.